### Class

# WebKit2 AutomationSession

#### Description [src]

    class WebKit2.AutomationSession : GObject.Object {
      parent: GObject
    }

Automation Session.

WebKitAutomationSession represents an automation session of a WebKitWebContext. When a new session is requested, a WebKitAutomationSession is created and the signal WebKitWebContext::automation-started is emitted with the WebKitAutomationSession as argument. Then, the automation client can request the session to create a new `WebKitWebView` to interact with it. When this happens the signal `WebKitAutomationSession::create-web-view` is emitted.

Available since: | 2.18

#### Ancestors

- GObject

#### Instance methods

###### webkit_automation_session_get_application_info

Get the the previously set `WebKitAutomationSession`.

Available since: 2.18

###### webkit_automation_session_get_id

Get the unique identifier of a `WebKitAutomationSession`.

Available since: 2.18

###### webkit_automation_session_set_application_info

Set the application information to `session`.

Available since: 2.18

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.AutomationSession:id

The session unique identifier.

Available since: 2.18

#### Signals

###### WebKit2.AutomationSession::create-web-view

This signal is emitted when the automation client requests a new browsing context to interact with it. The callback handler should return a `WebKitWebView` created with `WebKitWebView:is-controlled-by-automation` construct property enabled and `WebKitWebView:automation-presentation-type` construct property set if needed.

Available since: 2.18

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2AutomationSessionClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class`

    GObjectClass

| No description available.

`_webkit_reserved0`

    void (* _webkit_reserved0) (
    void
      )

| No description available.

`_webkit_reserved1`

    void (* _webkit_reserved1) (
    void
      )

| No description available.

`_webkit_reserved2`

    void (* _webkit_reserved2) (
    void
      )

| No description available.

`_webkit_reserved3`

    void (* _webkit_reserved3) (
    void
      )

| No description available.